VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: vector equivalent to libgtk2-ex-podviewer-perl  (Read 1035 times)

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
vector equivalent to libgtk2-ex-podviewer-perl
« on: May 03, 2012, 08:30:13 am »

Hello.  What is the slack/vector equivalent to the ubuntu package libgtk2-ex-podviewer-perl?
Logged
I am using VL7.0 standard with XFCE

rbistolfi

  • Packager
  • Vectorian
  • ****
  • Posts: 2305
Re: vector equivalent to libgtk2-ex-podviewer-perl
« Reply #1 on: May 03, 2012, 07:00:14 pm »

Hi Mark,

I dont think we have that one in the repos. You can always install it with cpan:

Code: [Select]
$ cpan Gtk2
$ cpan Gtk2::Ex::Simple::List
$ cpan IO::Scalar
$ cpan Gtk2::Ex::PodViewer

That will place an executable called podviewer. If this is not good enough, you can always post a package request in the proper section of the forum.
Nice to have a perl hacker around

HTH, Rodrigo
Logged
"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!

MarkGrieveson

  • Vectorian
  • ****
  • Posts: 531
Re: vector equivalent to libgtk2-ex-podviewer-perl
« Reply #2 on: May 04, 2012, 06:15:47 pm »

I tried the first command, and after a lot of stuff, it ended with this:
Code: [Select]
Test Summary Report
-------------------
t/GtkMenu.t                      (Wstat: 512 Tests: 66 Failed: 2)
  Failed tests:  62-63
  Non-zero exit status: 2
t/GtkStatusIcon.t                (Wstat: 1024 Tests: 37 Failed: 4)
  Failed tests:  19-20, 25-26
  Non-zero exit status: 4
Files=229, Tests=5080, 137 wallclock secs ( 4.15 usr  1.53 sys + 86.43 cusr 12.08 csys = 104.19 CPU)
Result: FAIL
Failed 2/229 test programs. 6/5080 subtests failed.
make: *** [test_dynamic] Error 255
  XAOC/Gtk2-1.243.tar.gz
  /usr/bin/make test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
  reports XAOC/Gtk2-1.243.tar.gz
Running make install
  make test had returned bad status, won't install without force
I'm not sure what to make of this, so I think I'll just leave it.  Thanks though for the suggestion.
Logged
I am using VL7.0 standard with XFCE

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: vector equivalent to libgtk2-ex-podviewer-perl
« Reply #3 on: May 04, 2012, 07:14:37 pm »

MarkGrieveson,

I have perl-gtk2-ex-podviewer build...i will let u know once it is ready to install via gslapt/slapt-get :)

EDIT:

Add this http://vlcore.vectorlinux.com/pkg/untested/x86/ to your gslapt/slapt-get sources and look for perl-gtk2-ex-podviewer...

PS: This is an untested repo...installing packages from it may break your current system...happy vectoring :)
« Last Edit: May 04, 2012, 07:47:16 pm by hata_ph »
Logged